Subject: bug#7534: 24.0.50; G-g within Isearch regexp mode

From: Dani Moncayo <[email-masked]>
Date: Fri, 3 Dec 2010 08:57:23 +0100

On Thu, Dec 2, 2010 at 23:31, Juri Linkov <[email-masked]> wrote:
[...]
>
> IMO, this is consistent behavior.  As the message says after typing `['
> it's incomplete input, so C-g behaves exactly like if there is no input
> for `[' (and an unfinished sequence of characters that follows it).
>
> So the main principle here is that "incomplete input" means "no input"
> for Isearch, and given this rule all your examples work as expected, i.e.
>
> "C-M-s is[ C-g" works like "C-M-s is C-g"
> "C-M-s iss[ C-g" works like "C-M-s iss C-g"
> "C-M-s is[blablabla C-g" works like "C-M-s is C-g"
>

Thanks for thinking on this, Juri.

Indeed, the current behaviour seems to be like you mentioned
("incomplete input" means "no input"), but IMO that doesn't fit well
user's needs. If the user is searching for "is[blablabla", and
suddenly changes his(her) mind, I think C-g should allow to get rid of
the unmatched part.

So, IMO, the main principle for C-g (within Isearch mode) should be:
* if there is unmatched and/or incomplete input --> Delete it.
* Otherwise --> Exit Isearch mode.

-- 
Dani Moncayo